org.eclnt.jsfserver.elements.impl

## Class SPANGRIDItem.CswArrayList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<java.lang.Integer>
      - - org.eclnt.jsfserver.elements.impl.SPANGRIDItem.CswArrayList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.Integer>, java.util.Collection<java.lang.Integer>, java.util.List<java.lang.Integer>, java.util.RandomAccess
  Enclosing class:
    SPANGRIDItem

      public class SPANGRIDItem.CswArrayList
      extends java.util.ArrayList<java.lang.Integer>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CswArrayList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `get(int index)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### CswArrayList

          public CswArrayList()

  - ### Method Detail

    - #### get

          public java.lang.Integer get(int index)

      Specified by:
        `get` in interface `java.util.List<java.lang.Integer>`
      Overrides:
        `get` in class `java.util.ArrayList<java.lang.Integer>`

Copyright © CaptainCasa Gmbh. All Rights Reserved.